<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html"/>
  <xsl:template match="/">
    <head>
      <link href="changelog.css" rel="stylesheet" type="text/css" />
      <title>Proto changelog</title>
    </head>
    <html>
      <body>
        <div id="header">
          <div class="plink">
	          <span id="title">
	            Changelog
	          </span>
          </div>
        </div>
        <div id="content">
          <xsl:apply-templates/>
        </div>
        <br/>
        <br/>
        <div id="upfooter" >       
          <div class="flink"><span class="text_foo">
            <center>Proto copyright
            <a href="http://miechu.pl/">Mieszko Lassota</a> 2007-200</center> 
            changelog viewer copyright <a href="http://www.olejarczuk.info/">Łukasz Olejarczuk</a> 2008-2010</span>
        </div>
      </div>
        <div id="footer">
          </div>
      </body>
    </html>
  </xsl:template>

  <!-- main template -->
  <xsl:template match="proto">
    <xsl:apply-templates>
      <xsl:sort select="version"/>
    </xsl:apply-templates>
  </xsl:template>

  <!-- node of version -->
  <xsl:template match="proto/version">
    <h3 class="number">
      ver. <xsl:value-of select="@number"/>
    </h3>
    <xsl:apply-templates/>
  </xsl:template>



  <xsl:template match="proto/version/fix">
	<div>
	    <div class="n_text fix">fix</div>
	    <div class="n_content"><xsl:value-of select="."/></div>
	</div>
  </xsl:template>

  <xsl:template match="proto/version/new">
	<div>
	    <div class="n_text new">new</div>
	    <div class="n_content"><xsl:value-of select="."/></div>
	</div>
  </xsl:template>

  <xsl:template match="proto/version/change">
	<div>
		<div class="n_text change">change</div>
		<div class="n_content"><xsl:value-of select="."/></div>
	</div>
  </xsl:template>

</xsl:stylesheet>