#proto script
#name: Winamp - enqueue
#extensions: ./mp3/ogg/wma/wav/m4a/acc/flac

from System.Diagnostics import Process
from System.IO import *
from System import *

def action(paths):
	
	pathToWinamp = 'c:\\Program Files (x86)\\Winamp\\winamp.exe'
	pathToTempPlaylist = 'c:\\Windows\\temp\\tempPlaylist.m3u'
	
	s = File.Open(pathToTempPlaylist, FileMode.Create)
	stream = StreamWriter(s)
	stream.WriteLine('#EXTM3U')
	
	for path in paths:
		
		if File.Exists(path):
		
			if supportsFile(path):
				stream.WriteLine(path)
			
		elif Directory.Exists(path):
			dir = path.Remove(path.Length - 1)
			
			for file in Directory.GetFiles(dir, '*', SearchOption.AllDirectories):
			
				if supportsFile(file):
					stream.WriteLine(file)
			
		else:
			continue
	
	stream.Dispose()
	s.Dispose()
	
	Process.Start(pathToWinamp, String.Format('/ADD "{0}"', pathToTempPlaylist))
	
	return 'Launched Winamp'

def supportsFile(path):
	
	supportedExts = './mp3/ogg/wma/wav/m4a/acc/flac'.Split('/')
	ext = Path.GetExtension(path)
	
	if ext.Length > 1:
		ext = ext.Remove(0, 1) # remove . from extension
	
	return Array.IndexOf(supportedExts, ext) != -1
